API DocumentationManufacturer requisition controller

Create an additional work order

POST
/api/manufacturer/v1/requisition/{requisitionId}/work-order

Creates a new work order on the requisition and schedules the requested quantity into its first operation, distinct from the idempotent bulk schedule path. Uses the ad-hoc routing given by optional ordered operationIds, else the template given by optional routingTemplateId, else the spec's designated default template, else a system-derived routing. routingTemplateId alongside operationIds records which template the ad-hoc steps were customized from. Its routing can be diverged afterward via the routing editor.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

requisitionId*integer
Formatint64

Request Body

application/json
  1. body
quantity*integer
name?string
routingTemplateId?string
Formatuuid
operationIds?array<>
startDate?string
Formatdate-time
dueDate?string
Formatdate-time

Response Body

OK

*/*
  1. response
id*string
Formatuuid
workOrderNumber?integer
Formatint64
routingTemplateId?string
Formatuuid
name?string
quantity*integer
routing*array<>
createdAt*string
Formatdate-time
startDate*string
Formatdate-time
dueDate?string
Formatdate-time
priority?integer
Formatint32
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/requisition/0/work-order' \  -H 'Content-Type: application/json' \  -d '{  "quantity": 0}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "workOrderNumber": 0,  "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",  "name": "string",  "quantity": 0,  "routing": [    {      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "sequence": 0,      "statusId": "e900225c-0629-4e96-be6e-86a17a309645"    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "startDate": "2019-08-24T14:15:22Z",  "dueDate": "2019-08-24T14:15:22Z",  "priority": 0}